Index: lemon/bits/alteration_notifier.h
===================================================================
--- lemon/bits/alteration_notifier.h	(revision 2305)
+++ lemon/bits/alteration_notifier.h	(revision 2384)
@@ -144,11 +144,11 @@
       /// Default constructor for ObserverBase.
       /// 
-      ObserverBase() : notifier(0) {}
+      ObserverBase() : _notifier(0) {}
 
       /// \brief Constructor which attach the observer into notifier.
       ///
       /// Constructor which attach the observer into notifier.
-      ObserverBase(AlterationNotifier& _notifier) {
-        attach(_notifier);
+      ObserverBase(AlterationNotifier& notifier) {
+        attach(notifier);
       }
 
@@ -159,5 +159,5 @@
       ObserverBase(const ObserverBase& copy) {
 	if (copy.attached()) {
-          attach(*copy.getNotifier());
+          attach(*copy._notifier());
 	}
       }
@@ -174,6 +174,6 @@
       /// This member attaches the observer into an AlterationNotifier.
       ///
-      void attach(AlterationNotifier& _notifier) {
-	_notifier.attach(*this);
+      void attach(AlterationNotifier& notifier) {
+	notifier.attach(*this);
       }
       
@@ -183,5 +183,5 @@
       ///
       void detach() {
-        notifier->detach(*this);
+        _notifier->detach(*this);
       }
       
@@ -192,8 +192,8 @@
       /// attached into.
       ///
-      Notifier* getNotifier() const { return const_cast<Notifier*>(notifier); }
+      Notifier* notifier() const { return const_cast<Notifier*>(_notifier); }
       
       /// Gives back true when the observer is attached into a notifier.
-      bool attached() const { return notifier != 0; }
+      bool attached() const { return _notifier != 0; }
 
     private:
@@ -203,6 +203,6 @@
     protected:
       
-      Notifier* notifier;
-      typename std::list<ObserverBase*>::iterator index;
+      Notifier* _notifier;
+      typename std::list<ObserverBase*>::iterator _index;
 
       /// \brief The member function to notificate the observer about an
@@ -262,5 +262,5 @@
 
     typedef std::list<ObserverBase*> Observers; 
-    Observers observers;
+    Observers _observers;
 
 		
@@ -294,6 +294,6 @@
     ~AlterationNotifier() {
       typename Observers::iterator it;
-      for (it = observers.begin(); it != observers.end(); ++it) {
-	(*it)->notifier = 0;
+      for (it = _observers.begin(); it != _observers.end(); ++it) {
+	(*it)->_notifier = 0;
       }
     }
@@ -347,12 +347,12 @@
 
     void attach(ObserverBase& observer) {
-      observer.index = observers.insert(observers.begin(), &observer);
-      observer.notifier = this;
+      observer._index = _observers.insert(_observers.begin(), &observer);
+      observer._notifier = this;
     } 
 
     void detach(ObserverBase& observer) {
-      observers.erase(observer.index);
-      observer.index = observers.end();
-      observer.notifier = 0;
+      _observers.erase(observer._index);
+      observer._index = _observers.end();
+      observer._notifier = 0;
     }
 
@@ -368,10 +368,10 @@
       typename Observers::reverse_iterator it;
       try {
-        for (it = observers.rbegin(); it != observers.rend(); ++it) {
+        for (it = _observers.rbegin(); it != _observers.rend(); ++it) {
           (*it)->add(item);
         }
       } catch (...) {
         typename Observers::iterator jt;
-        for (jt = it.base(); jt != observers.end(); ++jt) {
+        for (jt = it.base(); jt != _observers.end(); ++jt) {
           (*jt)->erase(item);
         }
@@ -389,10 +389,10 @@
       typename Observers::reverse_iterator it;
       try {
-        for (it = observers.rbegin(); it != observers.rend(); ++it) {
+        for (it = _observers.rbegin(); it != _observers.rend(); ++it) {
           (*it)->add(items);
         }
       } catch (...) {
         typename Observers::iterator jt;
-        for (jt = it.base(); jt != observers.end(); ++jt) {
+        for (jt = it.base(); jt != _observers.end(); ++jt) {
           (*jt)->erase(items);
         }
@@ -408,13 +408,13 @@
     /// 
     void erase(const Item& item) throw() {
-      typename Observers::iterator it = observers.begin();
-      while (it != observers.end()) {
+      typename Observers::iterator it = _observers.begin();
+      while (it != _observers.end()) {
         try {
           (*it)->erase(item);
           ++it;
         } catch (const ImmediateDetach&) {
-          it = observers.erase(it);
-          (*it)->index = observers.end();
-          (*it)->notifier = 0;
+          it = _observers.erase(it);
+          (*it)->_index = _observers.end();
+          (*it)->_notifier = 0;
         }
       }
@@ -428,13 +428,13 @@
     /// 
     void erase(const std::vector<Item>& items) {
-      typename Observers::iterator it = observers.begin();
-      while (it != observers.end()) {
+      typename Observers::iterator it = _observers.begin();
+      while (it != _observers.end()) {
         try {
           (*it)->erase(items);
           ++it;
         } catch (const ImmediateDetach&) {
-          it = observers.erase(it);
-          (*it)->index = observers.end();
-          (*it)->notifier = 0;
+          it = _observers.erase(it);
+          (*it)->_index = _observers.end();
+          (*it)->_notifier = 0;
         }
       }
@@ -449,10 +449,10 @@
       typename Observers::reverse_iterator it;
       try {
-        for (it = observers.rbegin(); it != observers.rend(); ++it) {
+        for (it = _observers.rbegin(); it != _observers.rend(); ++it) {
           (*it)->build();
         }
       } catch (...) {
         typename Observers::iterator jt;
-        for (jt = it.base(); jt != observers.end(); ++jt) {
+        for (jt = it.base(); jt != _observers.end(); ++jt) {
           (*jt)->clear();
         }
@@ -467,13 +467,13 @@
     /// from the container.
     void clear() {
-      typename Observers::iterator it = observers.begin();
-      while (it != observers.end()) {
+      typename Observers::iterator it = _observers.begin();
+      while (it != _observers.end()) {
         try {
           (*it)->clear();
           ++it;
         } catch (const ImmediateDetach&) {
-          it = observers.erase(it);
-          (*it)->index = observers.end();
-          (*it)->notifier = 0;
+          it = _observers.erase(it);
+          (*it)->_index = _observers.end();
+          (*it)->_notifier = 0;
         }
       }
Index: lemon/bits/array_map.h
===================================================================
--- lemon/bits/array_map.h	(revision 2260)
+++ lemon/bits/array_map.h	(revision 2384)
@@ -80,7 +80,7 @@
     /// Graph initialized map constructor.
     explicit ArrayMap(const Graph& graph) {
-      Parent::attach(graph.getNotifier(Item()));
+      Parent::attach(graph.notifier(Item()));
       allocate_memory();
-      Notifier* notifier = Parent::getNotifier();
+      Notifier* notifier = Parent::notifier();
       Item it;
       for (notifier->first(it); it != INVALID; notifier->next(it)) {
@@ -94,7 +94,7 @@
     /// It constructs a map and initialize all of the the map. 
     ArrayMap(const Graph& graph, const Value& value) {
-      Parent::attach(graph.getNotifier(Item()));
+      Parent::attach(graph.notifier(Item()));
       allocate_memory();
-      Notifier* notifier = Parent::getNotifier();
+      Notifier* notifier = Parent::notifier();
       Item it;
       for (notifier->first(it); it != INVALID; notifier->next(it)) {
@@ -109,10 +109,10 @@
     ArrayMap(const ArrayMap& copy) : Parent() {
       if (copy.attached()) {
-	attach(*copy.getNotifier());
+	attach(*copy.notifier());
       }
       capacity = copy.capacity;
       if (capacity == 0) return;
       values = allocator.allocate(capacity);
-      Notifier* notifier = Parent::getNotifier();
+      Notifier* notifier = Parent::notifier();
       Item it;
       for (notifier->first(it); it != INVALID; notifier->next(it)) {
@@ -143,5 +143,5 @@
     ArrayMap& operator=(const CMap& cmap) {
       checkConcept<concepts::ReadMap<Key, _Value>, CMap>();
-      const typename Parent::Notifier* notifier = Parent::getNotifier();
+      const typename Parent::Notifier* notifier = Parent::notifier();
       Item it;
       for (notifier->first(it); it != INVALID; notifier->next(it)) {
@@ -174,5 +174,5 @@
     /// actual keys of the graph. 
     Value& operator[](const Key& key) {
-      int id = Parent::getNotifier()->id(key);
+      int id = Parent::notifier()->id(key);
       return values[id];
     } 
@@ -183,5 +183,5 @@
     /// actual keys of the graph. 
     const Value& operator[](const Key& key) const {
-      int id = Parent::getNotifier()->id(key);
+      int id = Parent::notifier()->id(key);
       return values[id];
     }
@@ -202,5 +202,5 @@
     /// and it overrides the add() member function of the observer base.     
     virtual void add(const Key& key) {
-      Notifier* notifier = Parent::getNotifier();
+      Notifier* notifier = Parent::notifier();
       int id = notifier->id(key);
       if (id >= capacity) {
@@ -230,5 +230,5 @@
     /// and it overrides the add() member function of the observer base.     
     virtual void add(const std::vector<Key>& keys) {
-      Notifier* notifier = Parent::getNotifier();
+      Notifier* notifier = Parent::notifier();
       int max_id = -1;
       for (int i = 0; i < (int)keys.size(); ++i) {
@@ -274,5 +274,5 @@
     /// and it overrides the erase() member function of the observer base.     
     virtual void erase(const Key& key) {
-      int id = Parent::getNotifier()->id(key);
+      int id = Parent::notifier()->id(key);
       allocator.destroy(&(values[id]));
     }
@@ -284,5 +284,5 @@
     virtual void erase(const std::vector<Key>& keys) {
       for (int i = 0; i < (int)keys.size(); ++i) {
-	int id = Parent::getNotifier()->id(keys[i]);
+	int id = Parent::notifier()->id(keys[i]);
 	allocator.destroy(&(values[id]));
       }
@@ -294,5 +294,5 @@
     /// and it overrides the build() member function of the observer base. 
     virtual void build() {
-      Notifier* notifier = Parent::getNotifier();
+      Notifier* notifier = Parent::notifier();
       allocate_memory();
       Item it;
@@ -308,5 +308,5 @@
     /// and it overrides the clear() member function of the observer base.     
     virtual void clear() {	
-      Notifier* notifier = Parent::getNotifier();
+      Notifier* notifier = Parent::notifier();
       if (capacity != 0) {
 	Item it;
@@ -323,5 +323,5 @@
       
     void allocate_memory() {
-      int max_id = Parent::getNotifier()->maxId();
+      int max_id = Parent::notifier()->maxId();
       if (max_id == -1) {
 	capacity = 0;
Index: lemon/bits/debug_map.h
===================================================================
--- lemon/bits/debug_map.h	(revision 2333)
+++ lemon/bits/debug_map.h	(revision 2384)
@@ -112,11 +112,11 @@
     /// It adds all the items of the graph to the map.
     DebugMap(const Graph& graph) {
-      Parent::attach(graph.getNotifier(Item()));
-      container.resize(Parent::getNotifier()->maxId() + 1);
-      flag.resize(Parent::getNotifier()->maxId() + 1, false);
-      const typename Parent::Notifier* notifier = Parent::getNotifier();
-      Item it;
-      for (notifier->first(it); it != INVALID; notifier->next(it)) {
-        flag[Parent::getNotifier()->id(it)] = true;
+      Parent::attach(graph.notifier(Item()));
+      container.resize(Parent::notifier()->maxId() + 1);
+      flag.resize(Parent::notifier()->maxId() + 1, false);
+      const typename Parent::Notifier* notifier = Parent::notifier();
+      Item it;
+      for (notifier->first(it); it != INVALID; notifier->next(it)) {
+        flag[Parent::notifier()->id(it)] = true;
       }
     }
@@ -127,11 +127,11 @@
     /// It adds all the items of the graph to the map.
     DebugMap(const Graph& graph, const Value& value) {
-      Parent::attach(graph.getNotifier(Item()));
-      container.resize(Parent::getNotifier()->maxId() + 1, value);
-      flag.resize(Parent::getNotifier()->maxId() + 1, false);
-      const typename Parent::Notifier* notifier = Parent::getNotifier();
-      Item it;
-      for (notifier->first(it); it != INVALID; notifier->next(it)) {
-        flag[Parent::getNotifier()->id(it)] = true;
+      Parent::attach(graph.notifier(Item()));
+      container.resize(Parent::notifier()->maxId() + 1, value);
+      flag.resize(Parent::notifier()->maxId() + 1, false);
+      const typename Parent::Notifier* notifier = Parent::notifier();
+      Item it;
+      for (notifier->first(it); it != INVALID; notifier->next(it)) {
+        flag[Parent::notifier()->id(it)] = true;
       }
     }
@@ -142,13 +142,13 @@
     DebugMap(const DebugMap& _copy) : Parent() {
       if (_copy.attached()) {
-	Parent::attach(*_copy.getNotifier());
+	Parent::attach(*_copy.notifier());
 	container = _copy.container;
       }
-      flag.resize(Parent::getNotifier()->maxId() + 1, false);
-      const typename Parent::Notifier* notifier = Parent::getNotifier();
-      Item it;
-      for (notifier->first(it); it != INVALID; notifier->next(it)) {
-        flag[Parent::getNotifier()->id(it)] = true;
-        LEMON_ASSERT(_copy.flag[Parent::getNotifier()->id(it)], MapError());
+      flag.resize(Parent::notifier()->maxId() + 1, false);
+      const typename Parent::Notifier* notifier = Parent::notifier();
+      Item it;
+      for (notifier->first(it); it != INVALID; notifier->next(it)) {
+        flag[Parent::notifier()->id(it)] = true;
+        LEMON_ASSERT(_copy.flag[Parent::notifier()->id(it)], MapError());
       }
     }
@@ -158,10 +158,10 @@
     /// Destructor.
     ~DebugMap() {
-      const typename Parent::Notifier* notifier = Parent::getNotifier();
+      const typename Parent::Notifier* notifier = Parent::notifier();
       if (notifier != 0) {
         Item it;
         for (notifier->first(it); it != INVALID; notifier->next(it)) {
-          LEMON_ASSERT(flag[Parent::getNotifier()->id(it)], MapError());
-          flag[Parent::getNotifier()->id(it)] = false;
+          LEMON_ASSERT(flag[Parent::notifier()->id(it)], MapError());
+          flag[Parent::notifier()->id(it)] = false;
         }
       }
@@ -192,5 +192,5 @@
     DebugMap& operator=(const CMap& cmap) {
       checkConcept<concepts::ReadMap<Key, _Value>, CMap>();
-      const typename Parent::Notifier* notifier = Parent::getNotifier();
+      const typename Parent::Notifier* notifier = Parent::notifier();
       Item it;
       for (notifier->first(it); it != INVALID; notifier->next(it)) {
@@ -207,6 +207,6 @@
     /// actual items of the graph.      
     Reference operator[](const Key& key) {
-      LEMON_ASSERT(flag[Parent::getNotifier()->id(key)], MapError());
-      return container[Parent::getNotifier()->id(key)];
+      LEMON_ASSERT(flag[Parent::notifier()->id(key)], MapError());
+      return container[Parent::notifier()->id(key)];
     } 
 		
@@ -216,6 +216,6 @@
     /// actual items of the graph. 
     ConstReference operator[](const Key& key) const {
-      LEMON_ASSERT(flag[Parent::getNotifier()->id(key)], MapError());
-      return container[Parent::getNotifier()->id(key)];
+      LEMON_ASSERT(flag[Parent::notifier()->id(key)], MapError());
+      return container[Parent::notifier()->id(key)];
     }
 
@@ -235,17 +235,17 @@
     /// and it overrides the add() member function of the observer base.     
     virtual void add(const Key& key) {
-      int id = Parent::getNotifier()->id(key);
+      int id = Parent::notifier()->id(key);
       if (id >= (int)container.size()) {
 	container.resize(id + 1);
         flag.resize(id + 1, false);
       }
-      LEMON_ASSERT(!flag[Parent::getNotifier()->id(key)], MapError());
-      flag[Parent::getNotifier()->id(key)] = true;
+      LEMON_ASSERT(!flag[Parent::notifier()->id(key)], MapError());
+      flag[Parent::notifier()->id(key)] = true;
       if (strictCheck) {
         std::vector<bool> fl(flag.size(), false);
-        const typename Parent::Notifier* notifier = Parent::getNotifier();
-        Item it;
-        for (notifier->first(it); it != INVALID; notifier->next(it)) {
-          int id = Parent::getNotifier()->id(it);
+        const typename Parent::Notifier* notifier = Parent::notifier();
+        Item it;
+        for (notifier->first(it); it != INVALID; notifier->next(it)) {
+          int id = Parent::notifier()->id(it);
           fl[id] = true;
         }
@@ -261,5 +261,5 @@
       int max = container.size() - 1;
       for (int i = 0; i < (int)keys.size(); ++i) {
-        int id = Parent::getNotifier()->id(keys[i]);
+        int id = Parent::notifier()->id(keys[i]);
         if (id >= max) {
           max = id;
@@ -269,13 +269,13 @@
       flag.resize(max + 1, false);
       for (int i = 0; i < (int)keys.size(); ++i) {
-        LEMON_ASSERT(!flag[Parent::getNotifier()->id(keys[i])], MapError());
-        flag[Parent::getNotifier()->id(keys[i])] = true;
+        LEMON_ASSERT(!flag[Parent::notifier()->id(keys[i])], MapError());
+        flag[Parent::notifier()->id(keys[i])] = true;
       }
       if (strictCheck) {
         std::vector<bool> fl(flag.size(), false);
-        const typename Parent::Notifier* notifier = Parent::getNotifier();
-        Item it;
-        for (notifier->first(it); it != INVALID; notifier->next(it)) {
-          int id = Parent::getNotifier()->id(it);
+        const typename Parent::Notifier* notifier = Parent::notifier();
+        Item it;
+        for (notifier->first(it); it != INVALID; notifier->next(it)) {
+          int id = Parent::notifier()->id(it);
           fl[id] = true;
         }
@@ -291,15 +291,15 @@
       if (strictCheck) {
         std::vector<bool> fl(flag.size(), false);
-        const typename Parent::Notifier* notifier = Parent::getNotifier();
-        Item it;
-        for (notifier->first(it); it != INVALID; notifier->next(it)) {
-          int id = Parent::getNotifier()->id(it);
+        const typename Parent::Notifier* notifier = Parent::notifier();
+        Item it;
+        for (notifier->first(it); it != INVALID; notifier->next(it)) {
+          int id = Parent::notifier()->id(it);
           fl[id] = true;
         }
         LEMON_ASSERT(fl == flag, MapError());
       }
-      container[Parent::getNotifier()->id(key)] = Value();
-      LEMON_ASSERT(flag[Parent::getNotifier()->id(key)], MapError());
-      flag[Parent::getNotifier()->id(key)] = false;
+      container[Parent::notifier()->id(key)] = Value();
+      LEMON_ASSERT(flag[Parent::notifier()->id(key)], MapError());
+      flag[Parent::notifier()->id(key)] = false;
     }
 
@@ -311,8 +311,8 @@
       if (strictCheck) {
         std::vector<bool> fl(flag.size(), false);
-        const typename Parent::Notifier* notifier = Parent::getNotifier();
-        Item it;
-        for (notifier->first(it); it != INVALID; notifier->next(it)) {
-          int id = Parent::getNotifier()->id(it);
+        const typename Parent::Notifier* notifier = Parent::notifier();
+        Item it;
+        for (notifier->first(it); it != INVALID; notifier->next(it)) {
+          int id = Parent::notifier()->id(it);
           fl[id] = true;
         }
@@ -320,7 +320,7 @@
       }
       for (int i = 0; i < (int)keys.size(); ++i) {
-	container[Parent::getNotifier()->id(keys[i])] = Value();
-        LEMON_ASSERT(flag[Parent::getNotifier()->id(keys[i])], MapError());
-        flag[Parent::getNotifier()->id(keys[i])] = false;
+	container[Parent::notifier()->id(keys[i])] = Value();
+        LEMON_ASSERT(flag[Parent::notifier()->id(keys[i])], MapError());
+        flag[Parent::notifier()->id(keys[i])] = false;
       }
     }
@@ -336,13 +336,13 @@
         }
       }
-      int size = Parent::getNotifier()->maxId() + 1;
+      int size = Parent::notifier()->maxId() + 1;
       container.reserve(size);
       container.resize(size);
       flag.reserve(size);
       flag.resize(size, false);
-      const typename Parent::Notifier* notifier = Parent::getNotifier();
-      Item it;
-      for (notifier->first(it); it != INVALID; notifier->next(it)) {
-        int id = Parent::getNotifier()->id(it);
+      const typename Parent::Notifier* notifier = Parent::notifier();
+      Item it;
+      for (notifier->first(it); it != INVALID; notifier->next(it)) {
+        int id = Parent::notifier()->id(it);
         LEMON_ASSERT(!flag[id], MapError());
         flag[id] = true;
@@ -355,8 +355,8 @@
     /// and it overrides the clear() member function of the observer base.     
     virtual void clear() { 
-      const typename Parent::Notifier* notifier = Parent::getNotifier();
-      Item it;
-      for (notifier->first(it); it != INVALID; notifier->next(it)) {
-        int id = Parent::getNotifier()->id(it);
+      const typename Parent::Notifier* notifier = Parent::notifier();
+      Item it;
+      for (notifier->first(it); it != INVALID; notifier->next(it)) {
+        int id = Parent::notifier()->id(it);
         LEMON_ASSERT(flag[id], MapError());
         flag[id] = false;
Index: lemon/bits/edge_set_extender.h
===================================================================
--- lemon/bits/edge_set_extender.h	(revision 2046)
+++ lemon/bits/edge_set_extender.h	(revision 2384)
@@ -82,10 +82,10 @@
   public:
 
-    using Parent::getNotifier;
+    using Parent::notifier;
 
     /// \brief Gives back the edge alteration notifier.
     ///
     /// Gives back the edge alteration notifier.
-    EdgeNotifier& getNotifier(Edge) const {
+    EdgeNotifier& notifier(Edge) const {
       return edge_notifier;
     }
@@ -247,15 +247,15 @@
     Edge addEdge(const Node& from, const Node& to) {
       Edge edge = Parent::addEdge(from, to);
-      getNotifier(Edge()).add(edge);
+      notifier(Edge()).add(edge);
       return edge;
     }
     
     void clear() {
-      getNotifier(Edge()).clear();
+      notifier(Edge()).clear();
       Parent::clear();
     }
 
     void erase(const Edge& edge) {
-      getNotifier(Edge()).erase(edge);
+      notifier(Edge()).erase(edge);
       Parent::erase(edge);
     }
@@ -341,11 +341,11 @@
   public:
 
-    using Parent::getNotifier;
+    using Parent::notifier;
     
-    EdgeNotifier& getNotifier(Edge) const {
+    EdgeNotifier& notifier(Edge) const {
       return edge_notifier;
     }
 
-    UEdgeNotifier& getNotifier(UEdge) const {
+    UEdgeNotifier& notifier(UEdge) const {
       return uedge_notifier;
     }
@@ -590,20 +590,20 @@
     UEdge addEdge(const Node& from, const Node& to) {
       UEdge uedge = Parent::addEdge(from, to);
-      getNotifier(UEdge()).add(uedge);
-      getNotifier(Edge()).add(Parent::direct(uedge, true));
-      getNotifier(Edge()).add(Parent::direct(uedge, false));
+      notifier(UEdge()).add(uedge);
+      notifier(Edge()).add(Parent::direct(uedge, true));
+      notifier(Edge()).add(Parent::direct(uedge, false));
       return uedge;
     }
     
     void clear() {
-      getNotifier(Edge()).clear();
-      getNotifier(UEdge()).clear();
+      notifier(Edge()).clear();
+      notifier(UEdge()).clear();
       Parent::clear();
     }
 
     void erase(const UEdge& uedge) {
-      getNotifier(Edge()).erase(Parent::direct(uedge, true));
-      getNotifier(Edge()).erase(Parent::direct(uedge, false));
-      getNotifier(UEdge()).erase(uedge);
+      notifier(Edge()).erase(Parent::direct(uedge, true));
+      notifier(Edge()).erase(Parent::direct(uedge, false));
+      notifier(UEdge()).erase(uedge);
       Parent::erase(uedge);
     }
Index: lemon/bits/graph_extender.h
===================================================================
--- lemon/bits/graph_extender.h	(revision 2329)
+++ lemon/bits/graph_extender.h	(revision 2384)
@@ -87,9 +87,9 @@
   public:
 
-    NodeNotifier& getNotifier(Node) const {
+    NodeNotifier& notifier(Node) const {
       return node_notifier;
     }
     
-    EdgeNotifier& getNotifier(Edge) const {
+    EdgeNotifier& notifier(Edge) const {
       return edge_notifier;
     }
@@ -267,5 +267,5 @@
     Node addNode() {
       Node node = Parent::addNode();
-      getNotifier(Node()).add(node);
+      notifier(Node()).add(node);
       return node;
     }
@@ -273,11 +273,11 @@
     Edge addEdge(const Node& from, const Node& to) {
       Edge edge = Parent::addEdge(from, to);
-      getNotifier(Edge()).add(edge);
+      notifier(Edge()).add(edge);
       return edge;
     }
 
     void clear() {
-      getNotifier(Edge()).clear();
-      getNotifier(Node()).clear();
+      notifier(Edge()).clear();
+      notifier(Node()).clear();
       Parent::clear();
     }
@@ -286,6 +286,6 @@
     void build(const Graph& graph, NodeRefMap& nodeRef, EdgeRefMap& edgeRef) {
       Parent::build(graph, nodeRef, edgeRef);
-      getNotifier(Node()).build();
-      getNotifier(Edge()).build();
+      notifier(Node()).build();
+      notifier(Edge()).build();
     }
 
@@ -304,10 +304,10 @@
       }
 
-      getNotifier(Node()).erase(node);
+      notifier(Node()).erase(node);
       Parent::erase(node);
     }
     
     void erase(const Edge& edge) {
-      getNotifier(Edge()).erase(edge);
+      notifier(Edge()).erase(edge);
       Parent::erase(edge);
     }
@@ -398,13 +398,13 @@
   public:
 
-    NodeNotifier& getNotifier(Node) const {
+    NodeNotifier& notifier(Node) const {
       return node_notifier;
     }
     
-    EdgeNotifier& getNotifier(Edge) const {
+    EdgeNotifier& notifier(Edge) const {
       return edge_notifier;
     }
 
-    UEdgeNotifier& getNotifier(UEdge) const {
+    UEdgeNotifier& notifier(UEdge) const {
       return uedge_notifier;
     }
@@ -673,5 +673,5 @@
     Node addNode() {
       Node node = Parent::addNode();
-      getNotifier(Node()).add(node);
+      notifier(Node()).add(node);
       return node;
     }
@@ -679,16 +679,16 @@
     UEdge addEdge(const Node& from, const Node& to) {
       UEdge uedge = Parent::addEdge(from, to);
-      getNotifier(UEdge()).add(uedge);
+      notifier(UEdge()).add(uedge);
       std::vector<Edge> edges;
       edges.push_back(Parent::direct(uedge, true));
       edges.push_back(Parent::direct(uedge, false));      
-      getNotifier(Edge()).add(edges);
+      notifier(Edge()).add(edges);
       return uedge;
     }
     
     void clear() {
-      getNotifier(Edge()).clear();
-      getNotifier(UEdge()).clear();
-      getNotifier(Node()).clear();
+      notifier(Edge()).clear();
+      notifier(UEdge()).clear();
+      notifier(Node()).clear();
       Parent::clear();
     }
@@ -698,7 +698,7 @@
                UEdgeRefMap& uEdgeRef) {
       Parent::build(graph, nodeRef, uEdgeRef);
-      getNotifier(Node()).build();
-      getNotifier(UEdge()).build();
-      getNotifier(Edge()).build();
+      notifier(Node()).build();
+      notifier(UEdge()).build();
+      notifier(Edge()).build();
     }
 
@@ -717,5 +717,5 @@
       }
 
-      getNotifier(Node()).erase(node);
+      notifier(Node()).erase(node);
       Parent::erase(node);
     }
@@ -725,6 +725,6 @@
       edges.push_back(Parent::direct(uedge, true));
       edges.push_back(Parent::direct(uedge, false));      
-      getNotifier(Edge()).erase(edges);
-      getNotifier(UEdge()).erase(uedge);
+      notifier(Edge()).erase(edges);
+      notifier(UEdge()).erase(uedge);
       Parent::erase(uedge);
     }
@@ -824,21 +824,21 @@
   public:
 
-    NodeNotifier& getNotifier(Node) const {
+    NodeNotifier& notifier(Node) const {
       return node_notifier;
     }
 
-    ANodeNotifier& getNotifier(ANode) const {
+    ANodeNotifier& notifier(ANode) const {
       return anode_notifier;
     }
 
-    BNodeNotifier& getNotifier(BNode) const {
+    BNodeNotifier& notifier(BNode) const {
       return bnode_notifier;
     }
 
-    EdgeNotifier& getNotifier(Edge) const {
+    EdgeNotifier& notifier(Edge) const {
       return edge_notifier;
     }
 
-    UEdgeNotifier& getNotifier(UEdge) const {
+    UEdgeNotifier& notifier(UEdge) const {
       return uedge_notifier;
     }
@@ -1284,6 +1284,6 @@
     Node addANode() {
       Node node = Parent::addANode();
-      getNotifier(ANode()).add(node);
-      getNotifier(Node()).add(node);
+      notifier(ANode()).add(node);
+      notifier(Node()).add(node);
       return node;
     }
@@ -1291,6 +1291,6 @@
     Node addBNode() {
       Node node = Parent::addBNode();
-      getNotifier(BNode()).add(node);
-      getNotifier(Node()).add(node);
+      notifier(BNode()).add(node);
+      notifier(Node()).add(node);
       return node;
     }
@@ -1298,10 +1298,10 @@
     UEdge addEdge(const Node& source, const Node& target) {
       UEdge uedge = Parent::addEdge(source, target);
-      getNotifier(UEdge()).add(uedge);
+      notifier(UEdge()).add(uedge);
     
       std::vector<Edge> edges;
       edges.push_back(Parent::direct(uedge, true));
       edges.push_back(Parent::direct(uedge, false));
-      getNotifier(Edge()).add(edges);
+      notifier(Edge()).add(edges);
     
       return uedge;
@@ -1309,9 +1309,9 @@
 
     void clear() {
-      getNotifier(Edge()).clear();
-      getNotifier(UEdge()).clear();
-      getNotifier(Node()).clear();
-      getNotifier(BNode()).clear();
-      getNotifier(ANode()).clear();
+      notifier(Edge()).clear();
+      notifier(UEdge()).clear();
+      notifier(Node()).clear();
+      notifier(BNode()).clear();
+      notifier(ANode()).clear();
       Parent::clear();
     }
@@ -1322,9 +1322,9 @@
                BNodeRefMap& bNodeRef, UEdgeRefMap& uEdgeRef) {
       Parent::build(graph, aNodeRef, bNodeRef, uEdgeRef);
-      getNotifier(ANode()).build();
-      getNotifier(BNode()).build();
-      getNotifier(Node()).build();
-      getNotifier(UEdge()).build();
-      getNotifier(Edge()).build();
+      notifier(ANode()).build();
+      notifier(BNode()).build();
+      notifier(Node()).build();
+      notifier(UEdge()).build();
+      notifier(Edge()).build();
     }
 
@@ -1337,5 +1337,5 @@
           Parent::firstFromANode(uedge, node);
         }
-        getNotifier(ANode()).erase(node);
+        notifier(ANode()).erase(node);
       } else {
         Parent::firstFromBNode(uedge, node);
@@ -1344,8 +1344,8 @@
           Parent::firstFromBNode(uedge, node);
         }
-        getNotifier(BNode()).erase(node);
-      }
-
-      getNotifier(Node()).erase(node);
+        notifier(BNode()).erase(node);
+      }
+
+      notifier(Node()).erase(node);
       Parent::erase(node);
     }
@@ -1355,6 +1355,6 @@
       edges.push_back(Parent::direct(uedge, true));
       edges.push_back(Parent::direct(uedge, false));
-      getNotifier(Edge()).erase(edges);
-      getNotifier(UEdge()).erase(uedge);
+      notifier(Edge()).erase(edges);
+      notifier(UEdge()).erase(uedge);
       Parent::erase(uedge);
     }
Index: lemon/bits/map_extender.h
===================================================================
--- lemon/bits/map_extender.h	(revision 2260)
+++ lemon/bits/map_extender.h	(revision 2384)
@@ -84,5 +84,5 @@
 
       explicit MapIt(Map& _map) : map(_map) {
-        map.getNotifier()->first(*this);
+        map.notifier()->first(*this);
       }
 
@@ -91,5 +91,5 @@
 
       MapIt& operator++() { 
-	map.getNotifier()->next(*this);
+	map.notifier()->next(*this);
 	return *this; 
       }
@@ -124,5 +124,5 @@
 
       explicit ConstMapIt(Map& _map) : map(_map) {
-        map.getNotifier()->first(*this);
+        map.notifier()->first(*this);
       }
 
@@ -131,5 +131,5 @@
 
       ConstMapIt& operator++() { 
-	map.getNotifier()->next(*this);
+	map.notifier()->next(*this);
 	return *this; 
       }
@@ -153,5 +153,5 @@
 
       explicit ItemIt(Map& _map) : map(_map) {
-        map.getNotifier()->first(*this);
+        map.notifier()->first(*this);
       }
 
@@ -160,5 +160,5 @@
 
       ItemIt& operator++() { 
-	map.getNotifier()->next(*this);
+	map.notifier()->next(*this);
 	return *this; 
       }
Index: lemon/bits/vector_map.h
===================================================================
--- lemon/bits/vector_map.h	(revision 2260)
+++ lemon/bits/vector_map.h	(revision 2384)
@@ -91,6 +91,6 @@
     /// It adds all the items of the graph to the map.
     VectorMap(const Graph& graph) {
-      Parent::attach(graph.getNotifier(Item()));
-      container.resize(Parent::getNotifier()->maxId() + 1);
+      Parent::attach(graph.notifier(Item()));
+      container.resize(Parent::notifier()->maxId() + 1);
     }
 
@@ -100,6 +100,6 @@
     /// It adds all the items of the graph to the map.
     VectorMap(const Graph& graph, const Value& value) {
-      Parent::attach(graph.getNotifier(Item()));
-      container.resize(Parent::getNotifier()->maxId() + 1, value);
+      Parent::attach(graph.notifier(Item()));
+      container.resize(Parent::notifier()->maxId() + 1, value);
     }
 
@@ -109,5 +109,5 @@
     VectorMap(const VectorMap& _copy) : Parent() {
       if (_copy.attached()) {
-	Parent::attach(*_copy.getNotifier());
+	Parent::attach(*_copy.notifier());
 	container = _copy.container;
       }
@@ -135,5 +135,5 @@
     VectorMap& operator=(const CMap& cmap) {
       checkConcept<concepts::ReadMap<Key, _Value>, CMap>();
-      const typename Parent::Notifier* notifier = Parent::getNotifier();
+      const typename Parent::Notifier* notifier = Parent::notifier();
       Item it;
       for (notifier->first(it); it != INVALID; notifier->next(it)) {
@@ -150,5 +150,5 @@
     /// actual items of the graph.      
     Reference operator[](const Key& key) {
-      return container[Parent::getNotifier()->id(key)];
+      return container[Parent::notifier()->id(key)];
     } 
 		
@@ -158,5 +158,5 @@
     /// actual items of the graph. 
     ConstReference operator[](const Key& key) const {
-      return container[Parent::getNotifier()->id(key)];
+      return container[Parent::notifier()->id(key)];
     }
 
@@ -176,5 +176,5 @@
     /// and it overrides the add() member function of the observer base.     
     virtual void add(const Key& key) {
-      int id = Parent::getNotifier()->id(key);
+      int id = Parent::notifier()->id(key);
       if (id >= (int)container.size()) {
 	container.resize(id + 1);
@@ -189,5 +189,5 @@
       int max = container.size() - 1;
       for (int i = 0; i < (int)keys.size(); ++i) {
-        int id = Parent::getNotifier()->id(keys[i]);
+        int id = Parent::notifier()->id(keys[i]);
         if (id >= max) {
           max = id;
@@ -202,5 +202,5 @@
     /// and it overrides the erase() member function of the observer base.     
     virtual void erase(const Key& key) {
-      container[Parent::getNotifier()->id(key)] = Value();
+      container[Parent::notifier()->id(key)] = Value();
     }
 
@@ -211,5 +211,5 @@
     virtual void erase(const std::vector<Key>& keys) {
       for (int i = 0; i < (int)keys.size(); ++i) {
-	container[Parent::getNotifier()->id(keys[i])] = Value();
+	container[Parent::notifier()->id(keys[i])] = Value();
       }
     }
@@ -220,5 +220,5 @@
     /// and it overrides the build() member function of the observer base.
     virtual void build() { 
-      int size = Parent::getNotifier()->maxId() + 1;
+      int size = Parent::notifier()->maxId() + 1;
       container.reserve(size);
       container.resize(size);
Index: lemon/bpugraph_adaptor.h
===================================================================
--- lemon/bpugraph_adaptor.h	(revision 2231)
+++ lemon/bpugraph_adaptor.h	(revision 2384)
@@ -170,26 +170,26 @@
 
     typedef typename ItemSetTraits<Graph, Node>::ItemNotifier NodeNotifier;
-    NodeNotifier& getNotifier(Node) const {
-      return graph->getNotifier(Node()); 
+    NodeNotifier& notifier(Node) const {
+      return graph->notifier(Node()); 
     } 
 
     typedef typename ItemSetTraits<Graph, ANode>::ItemNotifier ANodeNotifier;
-    ANodeNotifier& getNotifier(ANode) const {
-      return graph->getNotifier(ANode());
+    ANodeNotifier& notifier(ANode) const {
+      return graph->notifier(ANode());
     } 
 
     typedef typename ItemSetTraits<Graph, BNode>::ItemNotifier BNodeNotifier;
-    BNodeNotifier& getNotifier(BNode) const {
-      return graph->getNotifier(BNode());
+    BNodeNotifier& notifier(BNode) const {
+      return graph->notifier(BNode());
     } 
 
     typedef typename ItemSetTraits<Graph, Edge>::ItemNotifier EdgeNotifier;
-    EdgeNotifier& getNotifier(Edge) const {
-      return graph->getNotifier(Edge());
+    EdgeNotifier& notifier(Edge) const {
+      return graph->notifier(Edge());
     } 
 
     typedef typename ItemSetTraits<Graph, UEdge>::ItemNotifier UEdgeNotifier;
-    UEdgeNotifier& getNotifier(UEdge) const {
-      return graph->getNotifier(UEdge());
+    UEdgeNotifier& notifier(UEdge) const {
+      return graph->notifier(UEdge());
     } 
 
@@ -372,11 +372,11 @@
 
     typedef typename Parent::BNodeNotifier ANodeNotifier;
-    ANodeNotifier& getNotifier(ANode) const {
-      return Parent::getNotifier(typename Parent::BNode());
+    ANodeNotifier& notifier(ANode) const {
+      return Parent::notifier(typename Parent::BNode());
     } 
 
     typedef typename Parent::ANodeNotifier BNodeNotifier;
-    BNodeNotifier& getNotifier(BNode) const {
-      return Parent::getNotifier(typename Parent::ANode());
+    BNodeNotifier& notifier(BNode) const {
+      return Parent::notifier(typename Parent::ANode());
     } 
 
Index: lemon/concepts/graph_components.h
===================================================================
--- lemon/concepts/graph_components.h	(revision 2351)
+++ lemon/concepts/graph_components.h	(revision 2384)
@@ -1263,5 +1263,5 @@
       ///
       /// Gives back the node alteration notifier.
-      NodeNotifier& getNotifier(Node) const {
+      NodeNotifier& notifier(Node) const {
 	return NodeNotifier();
       }
@@ -1270,5 +1270,5 @@
       ///
       /// Gives back the edge alteration notifier.
-      EdgeNotifier& getNotifier(Edge) const {
+      EdgeNotifier& notifier(Edge) const {
 	return EdgeNotifier();
       }
@@ -1279,8 +1279,8 @@
 	  checkConcept<Base, _Graph>();
           typename _Graph::NodeNotifier& nn 
-            = graph.getNotifier(typename _Graph::Node());
+            = graph.notifier(typename _Graph::Node());
 
           typename _Graph::EdgeNotifier& en 
-            = graph.getNotifier(typename _Graph::Edge());
+            = graph.notifier(typename _Graph::Edge());
           
           ignore_unused_variable_warning(nn);
@@ -1317,5 +1317,5 @@
       ///
       /// Gives back the edge alteration notifier.
-      UEdgeNotifier& getNotifier(UEdge) const {
+      UEdgeNotifier& notifier(UEdge) const {
 	return UEdgeNotifier();
       }
@@ -1326,5 +1326,5 @@
 	  checkConcept<AlterableGraphComponent<Base>, _Graph>();
           typename _Graph::UEdgeNotifier& uen 
-            = graph.getNotifier(typename _Graph::UEdge());
+            = graph.notifier(typename _Graph::UEdge());
           ignore_unused_variable_warning(uen);
 	}
@@ -1365,5 +1365,5 @@
       ///
       /// Gives back the A-node alteration notifier.
-      ANodeNotifier& getNotifier(ANode) const {
+      ANodeNotifier& notifier(ANode) const {
 	return ANodeNotifier();
       }
@@ -1372,5 +1372,5 @@
       ///
       /// Gives back the B-node alteration notifier.
-      BNodeNotifier& getNotifier(BNode) const {
+      BNodeNotifier& notifier(BNode) const {
 	return BNodeNotifier();
       }
@@ -1381,7 +1381,7 @@
           checkConcept<AlterableUGraphComponent<Base>, _Graph>();
           typename _Graph::ANodeNotifier& ann 
-            = graph.getNotifier(typename _Graph::ANode());
+            = graph.notifier(typename _Graph::ANode());
           typename _Graph::BNodeNotifier& bnn 
-            = graph.getNotifier(typename _Graph::BNode());
+            = graph.notifier(typename _Graph::BNode());
           ignore_unused_variable_warning(ann);
           ignore_unused_variable_warning(bnn);
Index: lemon/edge_set.h
===================================================================
--- lemon/edge_set.h	(revision 2260)
+++ lemon/edge_set.h	(revision 2384)
@@ -200,6 +200,6 @@
     typedef typename ItemSetTraits<Graph, Node>::ItemNotifier NodeNotifier;
 
-    NodeNotifier& getNotifier(Node) const {
-      return graph->getNotifier(Node());
+    NodeNotifier& notifier(Node) const {
+      return graph->notifier(Node());
     } 
 
@@ -528,6 +528,6 @@
     typedef typename ItemSetTraits<Graph, Node>::ItemNotifier NodeNotifier;
 
-    NodeNotifier& getNotifier(Node) const {
-      return graph->getNotifier(Node());
+    NodeNotifier& notifier(Node) const {
+      return graph->notifier(Node());
     } 
 
Index: lemon/full_graph.h
===================================================================
--- lemon/full_graph.h	(revision 2260)
+++ lemon/full_graph.h	(revision 2384)
@@ -195,9 +195,9 @@
     /// automatically and the previous values will be lost.
     void resize(int n) {
-      Parent::getNotifier(Edge()).clear();
-      Parent::getNotifier(Node()).clear();
+      Parent::notifier(Edge()).clear();
+      Parent::notifier(Node()).clear();
       construct(n);
-      Parent::getNotifier(Node()).build();
-      Parent::getNotifier(Edge()).build();
+      Parent::notifier(Node()).build();
+      Parent::notifier(Edge()).build();
     }
 
@@ -407,11 +407,11 @@
     /// automatically and the previous values will be lost.
     void resize(int n) {
-      Parent::getNotifier(Edge()).clear();
-      Parent::getNotifier(UEdge()).clear();
-      Parent::getNotifier(Node()).clear();
+      Parent::notifier(Edge()).clear();
+      Parent::notifier(UEdge()).clear();
+      Parent::notifier(Node()).clear();
       construct(n);
-      Parent::getNotifier(Node()).build();
-      Parent::getNotifier(UEdge()).build();
-      Parent::getNotifier(Edge()).build();
+      Parent::notifier(Node()).build();
+      Parent::notifier(UEdge()).build();
+      Parent::notifier(Edge()).build();
     }
 
@@ -704,15 +704,15 @@
     /// Resize the graph
     void resize(int n, int m) {
-      Parent::getNotifier(Edge()).clear();
-      Parent::getNotifier(UEdge()).clear();
-      Parent::getNotifier(Node()).clear();
-      Parent::getNotifier(ANode()).clear();
-      Parent::getNotifier(BNode()).clear();
+      Parent::notifier(Edge()).clear();
+      Parent::notifier(UEdge()).clear();
+      Parent::notifier(Node()).clear();
+      Parent::notifier(ANode()).clear();
+      Parent::notifier(BNode()).clear();
       construct(n, m);
-      Parent::getNotifier(ANode()).build();
-      Parent::getNotifier(BNode()).build();
-      Parent::getNotifier(Node()).build();
-      Parent::getNotifier(UEdge()).build();
-      Parent::getNotifier(Edge()).build();
+      Parent::notifier(ANode()).build();
+      Parent::notifier(BNode()).build();
+      Parent::notifier(Node()).build();
+      Parent::notifier(UEdge()).build();
+      Parent::notifier(Edge()).build();
     }
 
Index: lemon/graph_adaptor.h
===================================================================
--- lemon/graph_adaptor.h	(revision 2340)
+++ lemon/graph_adaptor.h	(revision 2384)
@@ -133,12 +133,12 @@
     typedef typename ItemSetTraits<Graph, Node>::ItemNotifier NodeNotifier;
 
-    NodeNotifier& getNotifier(Node) const {
-      return graph->getNotifier(Node());
+    NodeNotifier& notifier(Node) const {
+      return graph->notifier(Node());
     } 
 
     typedef typename ItemSetTraits<Graph, Edge>::ItemNotifier EdgeNotifier;
 
-    EdgeNotifier& getNotifier(Edge) const {
-      return graph->getNotifier(Edge());
+    EdgeNotifier& notifier(Edge) const {
+      return graph->notifier(Edge());
     } 
     
@@ -1183,5 +1183,5 @@
     void setGraph(_Graph& graph) {
       Parent::setGraph(graph);
-      edge_notifier_proxy.setNotifier(graph.getNotifier(GraphEdge()));
+      edge_notifier_proxy.setNotifier(graph.notifier(GraphEdge()));
     }
 
@@ -1197,9 +1197,9 @@
     typedef typename Parent::EdgeNotifier UEdgeNotifier;
 
-    using Parent::getNotifier;
+    using Parent::notifier;
 
     typedef AlterationNotifier<AlterableUndirGraphAdaptor, 
                                Edge> EdgeNotifier;
-    EdgeNotifier& getNotifier(Edge) const { return edge_notifier; }
+    EdgeNotifier& notifier(Edge) const { return edge_notifier; }
 
   protected:
@@ -1232,5 +1232,5 @@
         edges.push_back(AdaptorBase::Parent::direct(ge, true));
         edges.push_back(AdaptorBase::Parent::direct(ge, false));
-        adaptor->getNotifier(Edge()).add(edges);
+        adaptor->notifier(Edge()).add(edges);
       }
       virtual void add(const std::vector<GraphEdge>& ge) {
@@ -1240,5 +1240,5 @@
           edges.push_back(AdaptorBase::Parent::direct(ge[i], false));
         }
-        adaptor->getNotifier(Edge()).add(edges);
+        adaptor->notifier(Edge()).add(edges);
       }
       virtual void erase(const GraphEdge& ge) {
@@ -1246,5 +1246,5 @@
         edges.push_back(AdaptorBase::Parent::direct(ge, true));
         edges.push_back(AdaptorBase::Parent::direct(ge, false));
-        adaptor->getNotifier(Edge()).erase(edges);
+        adaptor->notifier(Edge()).erase(edges);
       }
       virtual void erase(const std::vector<GraphEdge>& ge) {
@@ -1254,11 +1254,11 @@
           edges.push_back(AdaptorBase::Parent::direct(ge[i], false));
         }
-        adaptor->getNotifier(Edge()).erase(edges);
+        adaptor->notifier(Edge()).erase(edges);
       }
       virtual void build() {
-        adaptor->getNotifier(Edge()).build();
+        adaptor->notifier(Edge()).build();
       }
       virtual void clear() {
-        adaptor->getNotifier(Edge()).clear();
+        adaptor->notifier(Edge()).clear();
       }
 
@@ -2144,5 +2144,5 @@
     void setGraph(_Graph& graph) {
       Parent::setGraph(graph);
-      node_notifier_proxy.setNotifier(graph.getNotifier(GraphNode()));
+      node_notifier_proxy.setNotifier(graph.notifier(GraphNode()));
     }
 
@@ -2156,5 +2156,5 @@
     typedef InvalidType EdgeNotifier;
 
-    NodeNotifier& getNotifier(Node) const { return node_notifier; }
+    NodeNotifier& notifier(Node) const { return node_notifier; }
 
   protected:
@@ -2187,5 +2187,5 @@
         nodes.push_back(AdaptorBase::Parent::inNode(gn));
         nodes.push_back(AdaptorBase::Parent::outNode(gn));
-        adaptor->getNotifier(Node()).add(nodes);
+        adaptor->notifier(Node()).add(nodes);
       }
 
@@ -2196,5 +2196,5 @@
           nodes.push_back(AdaptorBase::Parent::outNode(gn[i]));
         }
-        adaptor->getNotifier(Node()).add(nodes);
+        adaptor->notifier(Node()).add(nodes);
       }
 
@@ -2203,5 +2203,5 @@
         nodes.push_back(AdaptorBase::Parent::inNode(gn));
         nodes.push_back(AdaptorBase::Parent::outNode(gn));
-        adaptor->getNotifier(Node()).erase(nodes);
+        adaptor->notifier(Node()).erase(nodes);
       }
 
@@ -2212,11 +2212,11 @@
           nodes.push_back(AdaptorBase::Parent::outNode(gn[i]));
         }
-        adaptor->getNotifier(Node()).erase(nodes);
+        adaptor->notifier(Node()).erase(nodes);
       }
       virtual void build() {
-        adaptor->getNotifier(Node()).build();
+        adaptor->notifier(Node()).build();
       }
       virtual void clear() {
-        adaptor->getNotifier(Node()).clear();
+        adaptor->notifier(Node()).clear();
       }
 
@@ -2256,6 +2256,6 @@
     void setGraph(_Graph& graph) {
       Parent::setGraph(graph);
-      node_notifier_proxy.setNotifier(graph.getNotifier(GraphNode()));
-      edge_notifier_proxy.setNotifier(graph.getNotifier(GraphEdge()));
+      node_notifier_proxy.setNotifier(graph.notifier(GraphNode()));
+      edge_notifier_proxy.setNotifier(graph.notifier(GraphEdge()));
     }
 
@@ -2270,6 +2270,6 @@
     typedef AlterationNotifier<AlterableSplitGraphAdaptor, Edge> EdgeNotifier;
 
-    NodeNotifier& getNotifier(Node) const { return node_notifier; }
-    EdgeNotifier& getNotifier(Edge) const { return edge_notifier; }
+    NodeNotifier& notifier(Node) const { return node_notifier; }
+    EdgeNotifier& notifier(Edge) const { return edge_notifier; }
 
   protected:
@@ -2302,6 +2302,6 @@
         nodes.push_back(AdaptorBase::Parent::inNode(gn));
         nodes.push_back(AdaptorBase::Parent::outNode(gn));
-        adaptor->getNotifier(Node()).add(nodes);
-        adaptor->getNotifier(Edge()).add(AdaptorBase::Parent::edge(gn));
+        adaptor->notifier(Node()).add(nodes);
+        adaptor->notifier(Edge()).add(AdaptorBase::Parent::edge(gn));
       }
       virtual void add(const std::vector<GraphNode>& gn) {
@@ -2313,13 +2313,13 @@
           nodes.push_back(AdaptorBase::Parent::outNode(gn[i]));
         }
-        adaptor->getNotifier(Node()).add(nodes);
-        adaptor->getNotifier(Edge()).add(edges);
+        adaptor->notifier(Node()).add(nodes);
+        adaptor->notifier(Edge()).add(edges);
       }
       virtual void erase(const GraphNode& gn) {
-        adaptor->getNotifier(Edge()).erase(AdaptorBase::Parent::edge(gn));
+        adaptor->notifier(Edge()).erase(AdaptorBase::Parent::edge(gn));
         std::vector<Node> nodes;
         nodes.push_back(AdaptorBase::Parent::inNode(gn));
         nodes.push_back(AdaptorBase::Parent::outNode(gn));
-        adaptor->getNotifier(Node()).erase(nodes);
+        adaptor->notifier(Node()).erase(nodes);
       }
       virtual void erase(const std::vector<GraphNode>& gn) {
@@ -2331,26 +2331,26 @@
           nodes.push_back(AdaptorBase::Parent::outNode(gn[i]));
         }
-        adaptor->getNotifier(Edge()).erase(edges);
-        adaptor->getNotifier(Node()).erase(nodes);
+        adaptor->notifier(Edge()).erase(edges);
+        adaptor->notifier(Node()).erase(nodes);
       }
       virtual void build() {
         std::vector<Edge> edges;
-        const typename Parent::Notifier* notifier = Parent::getNotifier();
+        const typename Parent::Notifier* notifier = Parent::notifier();
         GraphNode it;
         for (notifier->first(it); it != INVALID; notifier->next(it)) {
           edges.push_back(AdaptorBase::Parent::edge(it));
         }
-        adaptor->getNotifier(Node()).build();
-        adaptor->getNotifier(Edge()).add(edges);        
+        adaptor->notifier(Node()).build();
+        adaptor->notifier(Edge()).add(edges);        
       }
       virtual void clear() {
         std::vector<Edge> edges;
-        const typename Parent::Notifier* notifier = Parent::getNotifier();
+        const typename Parent::Notifier* notifier = Parent::notifier();
         GraphNode it;
         for (notifier->first(it); it != INVALID; notifier->next(it)) {
           edges.push_back(AdaptorBase::Parent::edge(it));
         }
-        adaptor->getNotifier(Edge()).erase(edges);        
-        adaptor->getNotifier(Node()).clear();
+        adaptor->notifier(Edge()).erase(edges);        
+        adaptor->notifier(Node()).clear();
       }
 
@@ -2382,5 +2382,5 @@
 
       virtual void add(const GraphEdge& ge) {
-        adaptor->getNotifier(Edge()).add(AdaptorBase::edge(ge));
+        adaptor->notifier(Edge()).add(AdaptorBase::edge(ge));
       }
       virtual void add(const std::vector<GraphEdge>& ge) {
@@ -2389,8 +2389,8 @@
           edges.push_back(AdaptorBase::edge(ge[i]));
         }
-        adaptor->getNotifier(Edge()).add(edges);
+        adaptor->notifier(Edge()).add(edges);
       }
       virtual void erase(const GraphEdge& ge) {
-        adaptor->getNotifier(Edge()).erase(AdaptorBase::edge(ge));
+        adaptor->notifier(Edge()).erase(AdaptorBase::edge(ge));
       }
       virtual void erase(const std::vector<GraphEdge>& ge) {
@@ -2399,23 +2399,23 @@
           edges.push_back(AdaptorBase::edge(ge[i]));
         }
-        adaptor->getNotifier(Edge()).erase(edges);
+        adaptor->notifier(Edge()).erase(edges);
       }
       virtual void build() {
         std::vector<Edge> edges;
-        const typename Parent::Notifier* notifier = Parent::getNotifier();
+        const typename Parent::Notifier* notifier = Parent::notifier();
         GraphEdge it;
         for (notifier->first(it); it != INVALID; notifier->next(it)) {
           edges.push_back(AdaptorBase::Parent::edge(it));
         }
-        adaptor->getNotifier(Edge()).add(edges);
+        adaptor->notifier(Edge()).add(edges);
       }
       virtual void clear() {
         std::vector<Edge> edges;
-        const typename Parent::Notifier* notifier = Parent::getNotifier();
+        const typename Parent::Notifier* notifier = Parent::notifier();
         GraphEdge it;
         for (notifier->first(it); it != INVALID; notifier->next(it)) {
           edges.push_back(AdaptorBase::Parent::edge(it));
         }
-        adaptor->getNotifier(Edge()).erase(edges);
+        adaptor->notifier(Edge()).erase(edges);
       }
 
Index: lemon/graph_utils.h
===================================================================
--- lemon/graph_utils.h	(revision 2350)
+++ lemon/graph_utils.h	(revision 2384)
@@ -1874,5 +1874,5 @@
     explicit DescriptorMap(const Graph& _graph) : Map(_graph) {
       Item it;
-      const typename Map::Notifier* notifier = Map::getNotifier(); 
+      const typename Map::Notifier* notifier = Map::notifier(); 
       for (notifier->first(it); it != INVALID; notifier->next(it)) {
 	Map::set(it, invMap.size());
@@ -1936,5 +1936,5 @@
       Map::build();
       Item it;
-      const typename Map::Notifier* notifier = Map::getNotifier(); 
+      const typename Map::Notifier* notifier = Map::notifier(); 
       for (notifier->first(it); it != INVALID; notifier->next(it)) {
 	Map::set(it, invMap.size());
@@ -2293,5 +2293,5 @@
     /// Constructor for creating in-degree map.
     explicit InDegMap(const Graph& _graph) : graph(_graph), deg(_graph) {
-      Parent::attach(graph.getNotifier(typename _Graph::Edge()));
+      Parent::attach(graph.notifier(typename _Graph::Edge()));
       
       for(typename _Graph::NodeIt it(graph); it != INVALID; ++it) {
@@ -2405,5 +2405,5 @@
     /// Constructor for creating out-degree map.
     explicit OutDegMap(const Graph& _graph) : graph(_graph), deg(_graph) {
-      Parent::attach(graph.getNotifier(typename _Graph::Edge()));
+      Parent::attach(graph.notifier(typename _Graph::Edge()));
       
       for(typename _Graph::NodeIt it(graph); it != INVALID; ++it) {
Index: lemon/grid_ugraph.h
===================================================================
--- lemon/grid_ugraph.h	(revision 2260)
+++ lemon/grid_ugraph.h	(revision 2384)
@@ -391,11 +391,11 @@
     ///
     void resize(int n, int m) {
-      Parent::getNotifier(Edge()).clear();
-      Parent::getNotifier(UEdge()).clear();
-      Parent::getNotifier(Node()).clear();
+      Parent::notifier(Edge()).clear();
+      Parent::notifier(UEdge()).clear();
+      Parent::notifier(Node()).clear();
       construct(n, m);
-      Parent::getNotifier(Node()).build();
-      Parent::getNotifier(UEdge()).build();
-      Parent::getNotifier(Edge()).build();
+      Parent::notifier(Node()).build();
+      Parent::notifier(UEdge()).build();
+      Parent::notifier(Edge()).build();
     }
     
Index: lemon/matrix_maps.h
===================================================================
--- lemon/matrix_maps.h	(revision 2376)
+++ lemon/matrix_maps.h	(revision 2384)
@@ -271,5 +271,5 @@
     DynamicMatrixMap(const Graph& _graph) 
       : values(size(_graph.maxId(Key()) + 1)) {
-      Parent::attach(_graph.getNotifier(Key()));
+      Parent::attach(_graph.notifier(Key()));
     }
 
@@ -280,5 +280,5 @@
     DynamicMatrixMap(const Graph& _graph, const Value& _val) 
       : values(size(_graph.maxId(Key()) + 1), _val) {
-      Parent::attach(_graph.getNotifier(Key()));
+      Parent::attach(_graph.notifier(Key()));
     }
 
@@ -297,5 +297,5 @@
     DynamicMatrixMap& operator=(const CMap& _cmap){
       checkConcept<concepts::ReadMatrixMap<FirstKey, SecondKey, Value>, CMap>();
-      typename Parent::Notifier* notifier = Parent::getNotifier();
+      typename Parent::Notifier* notifier = Parent::notifier();
       Key first, second;
       for(notifier->first(first); first != INVALID; 
@@ -314,6 +314,6 @@
     /// Gives back the value assigned to the \c first - \c second ordered pair.
     ConstReference operator()(const Key& first, const Key& second) const {
-      return values[index(Parent::getNotifier()->id(first), 
-                          Parent::getNotifier()->id(second))];
+      return values[index(Parent::notifier()->id(first), 
+                          Parent::notifier()->id(second))];
     }
     
@@ -323,6 +323,6 @@
     /// Gives back the value assigned to the \c first - \c second ordered pair.
     Reference operator()(const Key& first, const Key& second) {
-      return values[index(Parent::getNotifier()->id(first), 
-                          Parent::getNotifier()->id(second))];
+      return values[index(Parent::notifier()->id(first), 
+                          Parent::notifier()->id(second))];
     }
 
@@ -331,6 +331,6 @@
     /// Setter function for the matrix map.
     void set(const Key& first, const Key& second, const Value& val) {
-      values[index(Parent::getNotifier()->id(first), 
-                   Parent::getNotifier()->id(second))] = val;
+      values[index(Parent::notifier()->id(first), 
+                   Parent::notifier()->id(second))] = val;
     }
 
@@ -350,6 +350,6 @@
 
     virtual void add(const Key& key) {
-      if (size(Parent::getNotifier()->id(key) + 1) >= (int)values.size()) {
-	values.resize(size(Parent::getNotifier()->id(key) + 1));	
+      if (size(Parent::notifier()->id(key) + 1) >= (int)values.size()) {
+	values.resize(size(Parent::notifier()->id(key) + 1));	
       }
     }
@@ -358,6 +358,6 @@
       int new_size = 0;
       for (int i = 0; i < (int)keys.size(); ++i) {
-        if (size(Parent::getNotifier()->id(keys[i]) + 1) >= new_size) {
-          new_size = size(Parent::getNotifier()->id(keys[i]) + 1);	
+        if (size(Parent::notifier()->id(keys[i]) + 1) >= new_size) {
+          new_size = size(Parent::notifier()->id(keys[i]) + 1);	
         }
       }
@@ -372,5 +372,5 @@
 
     virtual void build() {
-      values.resize(size(Parent::getNotifier()->maxId() + 1));
+      values.resize(size(Parent::notifier()->maxId() + 1));
     }
 
@@ -420,5 +420,5 @@
     DynamicSymMatrixMap(const Graph& _graph) 
       : values(size(_graph.maxId(Key()) + 1)) {
-      Parent::attach(_graph.getNotifier(Key()));
+      Parent::attach(_graph.notifier(Key()));
     }
 
@@ -429,5 +429,5 @@
     DynamicSymMatrixMap(const Graph& _graph, const Value& _val) 
       : values(size(_graph.maxId(Key()) + 1), _val) {
-      Parent::attach(_graph.getNotifier(Key()));
+      Parent::attach(_graph.notifier(Key()));
     }
 
@@ -448,5 +448,5 @@
     DynamicSymMatrixMap& operator=(const CMap& _cmap){
       checkConcept<concepts::ReadMatrixMap<FirstKey, SecondKey, Value>, CMap>();
-      typename Parent::Notifier* notifier = Parent::getNotifier();
+      typename Parent::Notifier* notifier = Parent::notifier();
       Key first, second;
       for(notifier->first(first); first != INVALID; 
@@ -467,6 +467,6 @@
     /// pair.
     ConstReference operator()(const Key& first, const Key& second) const {
-      return values[index(Parent::getNotifier()->id(first), 
-                          Parent::getNotifier()->id(second))];
+      return values[index(Parent::notifier()->id(first), 
+                          Parent::notifier()->id(second))];
     }
     
@@ -477,6 +477,6 @@
     /// pair.
     Reference operator()(const Key& first, const Key& second) {
-      return values[index(Parent::getNotifier()->id(first), 
-                          Parent::getNotifier()->id(second))];
+      return values[index(Parent::notifier()->id(first), 
+                          Parent::notifier()->id(second))];
     }
 
@@ -486,6 +486,6 @@
     ///
     void set(const Key& first, const Key& second, const Value& val) {
-      values[index(Parent::getNotifier()->id(first), 
-                   Parent::getNotifier()->id(second))] = val;
+      values[index(Parent::notifier()->id(first), 
+                   Parent::notifier()->id(second))] = val;
     }
 
@@ -505,6 +505,6 @@
 
     virtual void add(const Key& key) {
-      if (size(Parent::getNotifier()->id(key) + 1) >= (int)values.size()) {
-	values.resize(size(Parent::getNotifier()->id(key) + 1));	
+      if (size(Parent::notifier()->id(key) + 1) >= (int)values.size()) {
+	values.resize(size(Parent::notifier()->id(key) + 1));	
       }
     }
@@ -513,6 +513,6 @@
       int new_size = 0;
       for (int i = 0; i < (int)keys.size(); ++i) {
-        if (size(Parent::getNotifier()->id(keys[i]) + 1) >= new_size) {
-          new_size = size(Parent::getNotifier()->id(keys[i]) + 1);	
+        if (size(Parent::notifier()->id(keys[i]) + 1) >= new_size) {
+          new_size = size(Parent::notifier()->id(keys[i]) + 1);	
         }
       }
@@ -527,5 +527,5 @@
 
     virtual void build() {
-      values.resize(size(Parent::getNotifier()->maxId() + 1));
+      values.resize(size(Parent::notifier()->maxId() + 1));
     }
 
@@ -802,6 +802,6 @@
         _second_key_proxy(*this)
     {
-      _first_key_proxy.attach(_firstContainer.getNotifier(FirstKey()));
-      _second_key_proxy.attach(_secondContainer.getNotifier(SecondKey()));
+      _first_key_proxy.attach(_firstContainer.notifier(FirstKey()));
+      _second_key_proxy.attach(_secondContainer.notifier(SecondKey()));
     }
 
@@ -818,6 +818,6 @@
         _second_key_proxy(*this)
     {
-      _first_key_proxy.attach(_firstContainer.getNotifier(FirstKey()));
-      _second_key_proxy.attach(_secondContainer.getNotifier(SecondKey()));
+      _first_key_proxy.attach(_firstContainer.notifier(FirstKey()));
+      _second_key_proxy.attach(_secondContainer.notifier(SecondKey()));
     }
       
@@ -829,6 +829,6 @@
       if(_copy._first_key_proxy.attached() && 
          _copy._second_key_proxy.attached()){
-        _first_key_proxy.attach(*_copy._first_key_proxy.getNotifier());
-        _second_key_proxy.attach(*_copy._second_key_proxy.getNotifier());
+        _first_key_proxy.attach(*_copy._first_key_proxy.notifier());
+        _second_key_proxy.attach(*_copy._second_key_proxy.notifier());
         values = _copy.values;
       }
@@ -855,6 +855,6 @@
     ///ordered pair.
     Reference operator()(const FirstKey& _first, const SecondKey& _second) {
-      return values[_first_key_proxy.getNotifier()->id(_first)]
-        [_second_key_proxy.getNotifier()->id(_second)];
+      return values[_first_key_proxy.notifier()->id(_first)]
+        [_second_key_proxy.notifier()->id(_second)];
     }
 
@@ -866,6 +866,6 @@
     ConstReference operator()(const FirstKey& _first, 
                               const SecondKey& _second) const {
-      return values[_first_key_proxy.getNotifier()->id(_first)]
-        [_second_key_proxy.getNotifier()->id(_second)];
+      return values[_first_key_proxy.notifier()->id(_first)]
+        [_second_key_proxy.notifier()->id(_second)];
     }
 
@@ -875,6 +875,6 @@
     void set(const FirstKey& first, const SecondKey& second, 
              const Value& value){
-      values[_first_key_proxy.getNotifier()->id(first)]
-        [_second_key_proxy.getNotifier()->id(second)] = value;
+      values[_first_key_proxy.notifier()->id(first)]
+        [_second_key_proxy.notifier()->id(second)] = value;
     }
 
@@ -894,7 +894,7 @@
       checkConcept<concepts::ReadMatrixMap<FirstKey, SecondKey, Value>, CMap>();
       const typename FirstKeyProxy::Notifier* notifierFirstKey = 
-        _first_key_proxy.getNotifier();
+        _first_key_proxy.notifier();
       const typename SecondKeyProxy::Notifier* notifierSecondKey = 
-        _second_key_proxy.getNotifier();
+        _second_key_proxy.notifier();
       FirstKey itemFirst;
       SecondKey itemSecond;
@@ -917,6 +917,6 @@
     void addFirstKey(const FirstKey& firstKey) {
       int size = (int)values.size();
-      if( _first_key_proxy.getNotifier()->id(firstKey)+1 >= size ){
-        values.resize(_first_key_proxy.getNotifier()->id(firstKey)+1);
+      if( _first_key_proxy.notifier()->id(firstKey)+1 >= size ){
+        values.resize(_first_key_proxy.notifier()->id(firstKey)+1);
         if( (int)values[0].size() != 0 ){
           int innersize = (int)values[0].size();
@@ -924,6 +924,6 @@
             (values[i]).resize(innersize);
           }
-        }else if(_second_key_proxy.getNotifier()->maxId() >= 0){
-          int innersize = _second_key_proxy.getNotifier()->maxId();
+        }else if(_second_key_proxy.notifier()->maxId() >= 0){
+          int innersize = _second_key_proxy.notifier()->maxId();
           for(int i = 0; i != (int)values.size(); ++i){
             values[0].resize(innersize);
@@ -940,5 +940,5 @@
       int max = values.size() - 1;
       for(int i=0; i != (int)firstKeys.size(); ++i){
-        int id = _first_key_proxy.getNotifier()->id(firstKeys[i]);
+        int id = _first_key_proxy.notifier()->id(firstKeys[i]);
         if(max < id){
           max = id;
@@ -953,6 +953,6 @@
             values[i].resize(innersize);
           }
-        }else if(_second_key_proxy.getNotifier()->maxId() >= 0){
-          int innersize = _second_key_proxy.getNotifier()->maxId();
+        }else if(_second_key_proxy.notifier()->maxId() >= 0){
+          int innersize = _second_key_proxy.notifier()->maxId();
           for(int i = 0; i != (int)values.size(); ++i){
             values[i].resize(innersize);
@@ -970,5 +970,5 @@
         return;
       }
-      int id = _second_key_proxy.getNotifier()->id(secondKey);
+      int id = _second_key_proxy.notifier()->id(secondKey);
       if(id >= (int)values[0].size()){
         for(int i=0;i!=(int)values.size();++i){
@@ -988,5 +988,5 @@
       int max = values[0].size();
       for(int i = 0; i != (int)secondKeys.size(); ++i){
-        int id = _second_key_proxy.getNotifier()->id(secondKeys[i]);
+        int id = _second_key_proxy.notifier()->id(secondKeys[i]);
         if(max < id){
           max = id;
@@ -1005,5 +1005,5 @@
     ///class belongs to the FirstKey type.
     void eraseFirstKey(const FirstKey& first) {
-      int id = _first_key_proxy.getNotifier()->id(first);
+      int id = _first_key_proxy.notifier()->id(first);
       for(int i = 0; i != (int)values[id].size(); ++i){
         values[id][i] = Value();
@@ -1017,5 +1017,5 @@
     void eraseFirstKeys(const std::vector<FirstKey>& firstKeys) {
       for(int j = 0; j != (int)firstKeys.size(); ++j){
-        int id = _first_key_proxy.getNotifier()->id(firstKeys[j]);
+        int id = _first_key_proxy.notifier()->id(firstKeys[j]);
         for(int i = 0; i != (int)values[id].size(); ++i){
           values[id][i] = Value();
@@ -1032,5 +1032,5 @@
         return;
       }
-      int id = _second_key_proxy.getNotifier()->id(second);
+      int id = _second_key_proxy.notifier()->id(second);
       for(int i = 0; i != (int)values.size(); ++i){
         values[i][id] = Value();
@@ -1047,5 +1047,5 @@
       }
       for(int j = 0; j != (int)secondKeys.size(); ++j){
-        int id = _second_key_proxy.getNotifier()->id(secondKeys[j]);
+        int id = _second_key_proxy.notifier()->id(secondKeys[j]);
         for(int i = 0; i != (int)values.size(); ++i){
           values[i][id] = Value();
@@ -1059,7 +1059,7 @@
     ///to the FirstKey or SecondKey type.
     void build() {
-      values.resize(_first_key_proxy.getNotifier()->maxId());
+      values.resize(_first_key_proxy.notifier()->maxId());
       for(int i=0; i!=(int)values.size(); ++i){
-        values[i].resize(_second_key_proxy.getNotifier()->maxId());
+        values[i].resize(_second_key_proxy.notifier()->maxId());
       }
     }
